diff --git a/bin/mozilla/gl.pl b/bin/mozilla/gl.pl
index 9e8402973..b2b7885bf 100644
--- a/bin/mozilla/gl.pl
+++ b/bin/mozilla/gl.pl
@@ -620,15 +620,17 @@ sub generate_report {
         </tr>
 |;
   }
-   $form->{balance} *= $ml;
+  $form->{balance} *= $ml;
   foreach $ref (@{ $form->{GL} }) {
     $form->{balance} *= $ml;
+
     # if item ne sort print subtotal
     if ($form->{l_subtotal} eq 'Y') {
       if ($sameitem ne $ref->{ $form->{sort} }) {
         &gl_subtotal;
       }
     }
+
     #foreach $key (sort keys(%{ $ref->{amount} })) {
     #  $form->{balance} += $ref->{amount}{$key};
     #}
@@ -656,7 +658,7 @@ sub generate_report {
         $credit .= "<br>"
           . $form->format_amount(\%myconfig, $ref->{credit}{$key}, 2, 0);
       }
-      $form->{balance} = abs($form->{balance}) - abs( $ref->{credit}{$key});
+      $form->{balance} = abs($form->{balance}) - abs($ref->{credit}{$key});
     }
 
     $debittax = "";
@@ -698,9 +700,10 @@ sub generate_report {
         $debitaccno .=
           "<br><a href=$href&accno=$ref->{debit_accno}{$key}&callback=$callback>$ref->{debit_accno}{$key}</a>";
       }
-#       if ($ref->{debit_taxkey}{$key} eq $debittaxkey) {
-#         $ref->{debit_tax_accno}{$key} = $taxaccno;
-#       }
+
+      #       if ($ref->{debit_taxkey}{$key} eq $debittaxkey) {
+      #         $ref->{debit_tax_accno}{$key} = $taxaccno;
+      #       }
       $taxaccno    = $ref->{debit_tax_accno}{$key};
       $debittaxkey = $ref->{debit_taxkey}{$key};
     }
@@ -716,9 +719,10 @@ sub generate_report {
         $creditaccno .=
           "<br><a href=$href&accno=$ref->{credit_accno}{$key}&callback=$callback>$ref->{credit_accno}{$key}</a>";
       }
-#       if ($ref->{credit_taxkey}{$key} eq $credittaxkey) {
-#         $ref->{credit_tax_accno}{$key} = $taxaccno;
-#       }
+
+      #       if ($ref->{credit_taxkey}{$key} eq $credittaxkey) {
+      #         $ref->{credit_tax_accno}{$key} = $taxaccno;
+      #       }
       $taxaccno     = $ref->{credit_tax_accno}{$key};
       $credittaxkey = $ref->{credit_taxkey}{$key};
     }
@@ -776,9 +780,8 @@ sub generate_report {
     $column_data{gifi_accno}       =
       "<td><a href=$href&gifi_accno=$ref->{gifi_accno}&callback=$callback>$ref->{gifi_accno}</a>&nbsp;</td>";
     $column_data{balance} =
-        "<td align=right>"
-      . $form->format_amount(\%myconfig, $form->{balance}, 2, 0)
-      . "</td>";
+      "<td align=right>"
+      . $form->format_amount(\%myconfig, $form->{balance}, 2, 0) . "</td>";
 
     $i++;
     $i %= 2;
@@ -1052,13 +1055,14 @@ sub display_rows {
       <td><select name="accno_$i" onChange="setTaxkey(this, $i)" style="width:200px" tabindex=|
         . ($i + 5 + (($i - 1) * 8)) . qq|>$form->{chartinit}</select></td>|;
       $tax =
-          qq|<td><select id="taxchart_$i" name="taxchart_$i" style="width:200px" tabindex=|
+        qq|<td><select id="taxchart_$i" name="taxchart_$i" style="width:200px" tabindex=|
         . ($i + 10 + (($i - 1) * 8))
         . qq|>$form->{taxchart}</select></td>|;
-#       if ($form->{selectprojectnumber}) {
-#         $project = qq|
-#     <td><select name="projectnumber_$i">$form->{selectprojectnumber}</select></td>|;
-#       }
+
+      #       if ($form->{selectprojectnumber}) {
+      #         $project = qq|
+      #     <td><select name="projectnumber_$i">$form->{selectprojectnumber}</select></td>|;
+      #       }
       $korrektur =
         qq|<td><input type="checkbox" name="korrektur_$i" value="1" tabindex=|
         . ($i + 9 + (($i - 1) * 8))
@@ -1107,14 +1111,14 @@ sub display_rows {
           . ($i + 10 + (($i - 1) * 8))
           . qq|>$tax</select></td>|;
 
-#         if ($form->{selectprojectnumber}) {
-#           $form->{"projectnumber_$i"} = ""
-#             if $form->{selectprojectnumber} !~ /$form->{"projectnumber_$i"}/;
-# 
-#           $project = $form->{"projectnumber_$i"};
-#           $project =~ s/--.*//;
-#           $project = qq|<td>$project</td>|;
-#         }
+        #         if ($form->{selectprojectnumber}) {
+        #           $form->{"projectnumber_$i"} = ""
+        #             if $form->{selectprojectnumber} !~ /$form->{"projectnumber_$i"}/;
+        #
+        #           $project = $form->{"projectnumber_$i"};
+        #           $project =~ s/--.*//;
+        #           $project = qq|<td>$project</td>|;
+        #         }
 
         if ($form->{transfer}) {
           $checked = ($form->{"fx_transaction_$i"}) ? "1" : "";
@@ -1138,10 +1142,11 @@ sub display_rows {
         $tax = qq|
       <td><select id="taxchart_$i" name="taxchart_$i" tabindex=|
           . ($i + 10 + (($i - 1) * 8)) . qq|>$taxchart</select></td>|;
-#         if ($form->{selectprojectnumber}) {
-#           $project = qq|
-#       <td><select name="projectnumber_$i">$form->{selectprojectnumber}</select></td>|;
-#         }
+
+        #         if ($form->{selectprojectnumber}) {
+        #           $project = qq|
+        #       <td><select name="projectnumber_$i">$form->{selectprojectnumber}</select></td>|;
+        #         }
         $korrektur =
           qq|<td><input type="checkbox" name="korrektur_$i" value="1" tabindex=|
           . ($i + 9 + (($i - 1) * 8))
@@ -1182,9 +1187,10 @@ sub display_rows {
   }
 
   $form->hide_form(qw(rowcount selectaccno));
-#   print qq|
-# <input type=hidden name=selectprojectnumber value="|
-#     . $form->escape($form->{selectprojectnumber}, 1) . qq|">|;
+
+  #   print qq|
+  # <input type=hidden name=selectprojectnumber value="|
+  #     . $form->escape($form->{selectprojectnumber}, 1) . qq|">|;
   $lxdebug->leave_sub();
 
 }
@@ -1546,9 +1552,9 @@ sub post {
       unless (($form->{"debit_$i"} eq "") && ($form->{"credit_$i"} eq "")) {
         if ($form->{"debit_$i"} ne "") {
           $form->{"credit_$i"} = $form->{"debit_$i"};
-          $form->{"debit_$i"} = "";
+          $form->{"debit_$i"}  = "";
         } elsif ($form->{"credit_$i"} ne "") {
-          $form->{"debit_$i"} = $form->{"credit_$i"};
+          $form->{"debit_$i"}  = $form->{"credit_$i"};
           $form->{"credit_$i"} = "";
         }
       }
diff --git a/bin/mozilla/ic.pl b/bin/mozilla/ic.pl
index f6134db52..bcd1405c5 100644
--- a/bin/mozilla/ic.pl
+++ b/bin/mozilla/ic.pl
@@ -33,6 +33,7 @@
 #$locale->text('ea');
 
 use SL::IC;
+
 #use SL::PE;
 
 require "$form->{path}/io.pl";
@@ -1934,7 +1935,7 @@ sub form_header {
   $lxdebug->enter_sub();
 
   my $dec = '';
-  
+
   #decimalplaces for listprice
   ($dec) = ($form->{listprice} =~ /\.(\d+)/);
   $dec = length $dec;
@@ -2718,7 +2719,8 @@ sub save {
   # $locale->text('Assembly Number missing!')
 
   # save part
-  $lxdebug->message(LXDebug::DEBUG1, "ic.pl: sellprice in save = $form->{sellprice}\n");
+  $lxdebug->message(LXDebug::DEBUG1,
+                    "ic.pl: sellprice in save = $form->{sellprice}\n");
   $rc = IC->save(\%myconfig, \%$form);
   if ($rc == 3) {
     $form->error($locale->text('Partnumber not unique!'));
@@ -2776,7 +2778,9 @@ sub save {
       if ($form->{exchangerate} != 0) {
         $form->{"sellprice_$i"} /= $form->{exchangerate};
       }
-      $lxdebug->message(LXDebug::DEBUG1, qq|sellprice_$i in previousform 2 = |.$form->{"sellprice_$i"}.qq|\n|);
+      $lxdebug->message(LXDebug::DEBUG1,
+                        qq|sellprice_$i in previousform 2 = |
+                          . $form->{"sellprice_$i"} . qq|\n|);
       map { $form->{"taxaccounts_$i"} .= "$_ " } split / /,
         $newform{taxaccount};
       chop $form->{"taxaccounts_$i"};
@@ -2797,10 +2801,12 @@ sub save {
 
       $form->{creditremaining} -= $amount;
 
-    # redo number formatting, because invoice parse them!
-    $i = $form->{rowcount};
-    map { $form->{"${_}_$i"} = $form->format_amount(\%myconfig, $form->{"${_}_$i"}) }
-    qw(weight listprice sellprice rop);
+      # redo number formatting, because invoice parse them!
+      $i = $form->{rowcount};
+      map {
+        $form->{"${_}_$i"} =
+          $form->format_amount(\%myconfig, $form->{"${_}_$i"})
+      } qw(weight listprice sellprice rop);
     }
 
     $form->{"id_$i"} = $parts_id;
@@ -2822,7 +2828,10 @@ sub save {
     }
     $form->{callback} = $callback;
   }
-  $lxdebug->message(LXDebug::DEBUG1, qq|ic.pl: sellprice_$i nach sub save = |.$form->{"sellprice_$i"}.qq|\n|);
+  $lxdebug->message(LXDebug::DEBUG1,
+                    qq|ic.pl: sellprice_$i nach sub save = |
+                      . $form->{"sellprice_$i"} . qq|\n|);
+
   # redirect
   $form->redirect;
 
diff --git a/bin/mozilla/io.pl b/bin/mozilla/io.pl
index 03fd32ace..4291cf55d 100644
--- a/bin/mozilla/io.pl
+++ b/bin/mozilla/io.pl
@@ -399,7 +399,10 @@ sub display_row {
 		  <input type=hidden name="project_id_$i" value="$form->{"project_id_$i"}">
 |;
     if ($form->{type} eq 'invoice' or $form->{type} =~ /order/) {
-      my $reqdate_term = ($form->{type} eq 'invoice')?'deliverydate':'reqdate'; # invoice uses a different term for the same thing.
+      my $reqdate_term =
+        ($form->{type} eq 'invoice')
+        ? 'deliverydate'
+        : 'reqdate';    # invoice uses a different term for the same thing.
       print qq|
         <b>${$reqdate_term}</b>&nbsp;<input name="${reqdate_term}_$i" size=11 value="$form->{"${reqdate_term}_$i"}">
 |;
@@ -441,9 +444,10 @@ sub set_pricegroup {
       $prices = '';
       $price  = 0;
       foreach $item (@{ $form->{PRICES}{$j} }) {
+
         #$price = $form->round_amount($myconfig,  $item->{price}, 5);
         #$price = $form->format_amount($myconfig, $item->{price}, 2);
-        $price = $item->{price};
+        $price         = $item->{price};
         $pricegroup_id = $item->{pricegroup_id};
         $pricegroup    = $item->{pricegroup};
 
@@ -452,10 +456,11 @@ sub set_pricegroup {
           qq|<option value="$price--$pricegroup_id"$item->{selected}>$pricegroup</option>\n|;
 
         $len += 1;
-#        map {
-#               $form->{"${_}_$j"} =
-#               $form->format_amount(\%myconfig, $form->{"${_}_$j"})
-#              } qw(sellprice price_new price_old);
+
+        #        map {
+        #               $form->{"${_}_$j"} =
+        #               $form->format_amount(\%myconfig, $form->{"${_}_$j"})
+        #              } qw(sellprice price_new price_old);
 
         # set new selectedpricegroup_id and prices for "Preis"
         if ($item->{selected} && ($pricegroup_id != 0)) {
@@ -771,39 +776,40 @@ sub display_form {
     &{"$form->{display_form}"};
     exit;
   }
-#   if (   $form->{print_and_post}
-#       && $form->{second_run}
-#       && ($form->{action} eq "display_form")) {
-#     for (keys %$form) { $old_form->{$_} = $form->{$_} }
-#     $old_form->{rowcount}++;
-# 
-#     #$form->{rowcount}--;
-#     #$form->{rowcount}--;
-# 
-#     $form->{print_and_post} = 0;
-# 
-#     &print_form($old_form);
-#     exit;
-#   }
-# 
-#   $form->{action}   = "";
-#   $form->{resubmit} = 0;
-# 
-#   if ($form->{print_and_post} && !$form->{second_run}) {
-#     $form->{second_run} = 1;
-#     $form->{action}     = "display_form";
-#     $form->{rowcount}--;
-#     my $rowcount = $form->{rowcount};
-# 
-#     # get pricegroups for parts
-#     IS->get_pricegroups_for_parts(\%myconfig, \%$form);
-# 
-#     # build up html code for prices_$i
-#     set_pricegroup($rowcount);
-# 
-#     $form->{resubmit} = 1;
-# 
-#   }
+
+  #   if (   $form->{print_and_post}
+  #       && $form->{second_run}
+  #       && ($form->{action} eq "display_form")) {
+  #     for (keys %$form) { $old_form->{$_} = $form->{$_} }
+  #     $old_form->{rowcount}++;
+  #
+  #     #$form->{rowcount}--;
+  #     #$form->{rowcount}--;
+  #
+  #     $form->{print_and_post} = 0;
+  #
+  #     &print_form($old_form);
+  #     exit;
+  #   }
+  #
+  #   $form->{action}   = "";
+  #   $form->{resubmit} = 0;
+  #
+  #   if ($form->{print_and_post} && !$form->{second_run}) {
+  #     $form->{second_run} = 1;
+  #     $form->{action}     = "display_form";
+  #     $form->{rowcount}--;
+  #     my $rowcount = $form->{rowcount};
+  #
+  #     # get pricegroups for parts
+  #     IS->get_pricegroups_for_parts(\%myconfig, \%$form);
+  #
+  #     # build up html code for prices_$i
+  #     set_pricegroup($rowcount);
+  #
+  #     $form->{resubmit} = 1;
+  #
+  #   }
   &form_header;
 
   $numrows    = ++$form->{rowcount};
@@ -1264,7 +1270,7 @@ sub print_options {
   $form->{DF}{ $form->{format} }   = "selected";
   $form->{OP}{ $form->{media} }    = "selected";
   $form->{SM}{ $form->{sendmode} } = "selected";
-  
+
   if ($form->{type} eq 'purchase_order') {
     $type = qq|<select name=formname>
 	    <option value=purchase_order $form->{PD}{purchase_order}>|
@@ -1414,7 +1420,6 @@ sub print_options {
 sub print {
   $lxdebug->enter_sub();
 
-
   # if this goes to the printer pass through
   if ($form->{media} eq 'printer' || $form->{media} eq 'queue') {
     $form->error($locale->text('Select postscript or PDF!'))
@@ -1585,15 +1590,15 @@ sub print_form {
     IS->invoice_details(\%myconfig, \%$form, $locale);
   }
 
-  # format global dates 
+  # format global dates
   map { $form->{$_} = $locale->date(\%myconfig, $form->{$_}, 1) }
     ("${inv}date", "${due}date", "shippingdate", "deliverydate");
 
   # format item dates
   for my $field (qw(transdate_oe deliverydate_oe)) {
-    map { 
-      $form->{$field}[$_] = $locale->date(\%myconfig, $form->{$field}[$_], 1); 
-    } 0..$#{$form->{$field}};
+    map {
+      $form->{$field}[$_] = $locale->date(\%myconfig, $form->{$field}[$_], 1);
+    } 0 .. $#{ $form->{$field} };
   }
 
   @a = qw(name street zipcode city country);
diff --git a/bin/mozilla/is.pl b/bin/mozilla/is.pl
index 3e7704972..7bbcc12a7 100644
--- a/bin/mozilla/is.pl
+++ b/bin/mozilla/is.pl
@@ -59,7 +59,7 @@ sub add {
   }
   &invoice_links;
   &prepare_invoice;
-  $form->{format} ="pdf";
+  $form->{format} = "pdf";
 
   &display_form;
 
@@ -76,7 +76,7 @@ sub edit {
     $form->error("Access Denied");
   }
   if ($form->{print_and_post}) {
-    $form->{action}     = "print";
+    $form->{action}   = "print";
     $form->{resubmit} = 1;
   }
   &invoice_links;
@@ -342,9 +342,12 @@ sub form_header {
 
     #write Trigger
     $jsscript =
-      Form->write_trigger(\%myconfig, "3", "invdate",      "BL", "trigger1",
-                                           "duedate",      "BL", "trigger2",
-                                           "deliverydate", "BL", "trigger3");
+      Form->write_trigger(\%myconfig,     "3",
+                          "invdate",      "BL",
+                          "trigger1",     "duedate",
+                          "BL",           "trigger2",
+                          "deliverydate", "BL",
+                          "trigger3");
   } else {
 
     # without JavaScript Calendar
@@ -354,8 +357,9 @@ sub form_header {
       qq|<td width="13"><input name=duedate size=11 title="$myconfig{dateformat}" value=$form->{duedate}></td>|;
   }
   if ($form->{resubmit} && ($form->{format} eq "html")) {
-    $onload = qq|window.open('about:blank','Beleg'); document.invoice.target = 'Beleg';document.invoice.submit()|;
-  } elsif($form->{resubmit}) {
+    $onload =
+      qq|window.open('about:blank','Beleg'); document.invoice.target = 'Beleg';document.invoice.submit()|;
+  } elsif ($form->{resubmit}) {
     $onload = qq|document.invoice.submit()|;
   } else {
     $onload = "fokus()";
@@ -1083,7 +1087,7 @@ sub post {
 
   # get new invnumber in sequence if no invnumber is given or if posasnew was requested
   if (!$form->{invnumber} || $form->{postasnew}) {
-    $form->{invnumber} = $form->update_defaults(\%myconfig, "invnumber")
+    $form->{invnumber} = $form->update_defaults(\%myconfig, "invnumber");
   }
   if ($print_post) {
     if (!(IS->post_invoice(\%myconfig, \%$form))) {
diff --git a/bin/mozilla/kopf.pl b/bin/mozilla/kopf.pl
index fab414cd6..23dfa2a9d 100644
--- a/bin/mozilla/kopf.pl
+++ b/bin/mozilla/kopf.pl
@@ -107,9 +107,7 @@ print qq|
 <table border="0" width="100%" background="image/bg_titel.gif" cellpadding="0" cellspacing="0">
 	<tr>
 		<td align="right" style="vertical-align:middle; color:white; font-family:verdana,arial,sans-serif; font-size: 12px;" nowrap>|
-  . $login
-  . $datum
-  . qq| <script>writeclock()</script>&nbsp;
+  . $login . $datum . qq| <script>writeclock()</script>&nbsp;
 		</td>
 	</tr>
 </table>
diff --git a/bin/mozilla/licenses.pl b/bin/mozilla/licenses.pl
index 300673a96..52e5e4f86 100644
--- a/bin/mozilla/licenses.pl
+++ b/bin/mozilla/licenses.pl
@@ -87,8 +87,7 @@ sub print_part_selection {
 <table width=100%>
   <tr>
     <th class=listtop colspan=5>|
-      . $locale->text('Select from one of the items below')
-      . qq|</th>
+      . $locale->text('Select from one of the items below') . qq|</th>
   </tr>
   <tr height="5"></tr>
   <tr class=listheading>
@@ -111,13 +110,9 @@ sub print_part_selection {
       qq|<tr class=listrow$j>
       <td><input name=ndx class=radio type=radio value=$i $checked></td>
       <td><input name=\"new_partnumber_$i\" type=hidden value=\"|
-        . $p{"partnumber"} . qq|\">|
-        . $p{"partnumber"}
-        . qq|</td>
+        . $p{"partnumber"} . qq|\">| . $p{"partnumber"} . qq|</td>
       <td><input name=\"new_description_$i\" type=hidden value=\"|
-        . $p{"description"} . qq|\">|
-        . $p{"description"}
-        . qq|</td>
+        . $p{"description"} . qq|\">| . $p{"description"} . qq|</td>
       <input name=\"new_parts_id_$i\" type=hidden value=\"| . $p{"id"} . qq|\">
     </tr>|);
 
@@ -145,8 +140,7 @@ sub print_customer_selection {
 <table width=100%>
   <tr>
     <th class=listtop colspan=5>|
-      . $locale->text('Select from one of the names below')
-      . qq|</th>
+      . $locale->text('Select from one of the names below') . qq|</th>
   </tr>
   <tr height="5"></tr>
   <tr class=listheading>
@@ -174,11 +168,9 @@ sub print_customer_selection {
       qq|<tr class=listrow$j>
           <td><input name=ndx class=radio type=radio value=$i $checked></td>
           <td><input name=\"new_customer_id_$i\" type=hidden value=\"|
-        . $c{"id"}
-        . qq|\">$c{"customernumber"}</td>
+        . $c{"id"} . qq|\">$c{"customernumber"}</td>
           <td><input name=\"new_customer_name_$i\" type=hidden value=\"|
-        . $c{"name"}
-        . qq|\">$c{"name"}</td>
+        . $c{"name"} . qq|\">$c{"name"}</td>
           <td>$c{"street"}</td>
           <td>$c{"zipcode"}</td>
           <td>$c{"city"}</td>
@@ -211,14 +203,12 @@ sub print_license_form {
       <tr>
         <th align=right>| . $locale->text('Part Number') . qq|</th>
         <td><input name=partnumber value=\"|
-      . quot($form->{"partnumber"})
-      . qq|\"></td>
+      . quot($form->{"partnumber"}) . qq|\"></td>
       </tr>
       <tr>
         <th align=right>| . $locale->text('Description') . qq|</th>
         <td><input name=description value=\"|
-      . quot($form->{"description"})
-      . qq|\"></td>
+      . quot($form->{"description"}) . qq|\"></td>
       </tr>
       <tr>
         <th align=right>| . $locale->text('Company Name') . qq|</th>|);
@@ -242,26 +232,22 @@ sub print_license_form {
       <tr>
         <th align=right>| . $locale->text('Comment') . qq|</th>
         <td><input name=comment value=\"|
-      . quot($form->{"comment"})
-      . qq|\"></td>
+      . quot($form->{"comment"}) . qq|\"></td>
       </tr>
       <tr>
         <th align=right>| . $locale->text('Valid until') . qq|</th>
         <td><input name=validuntil value=\"|
-      . quot($form->{"validuntil"})
-      . qq|\"></td>
+      . quot($form->{"validuntil"}) . qq|\"></td>
       </tr>
       <tr>
         <th align=right>| . $locale->text('Quantity') . qq|</th>
         <td><input name=quantity value=\"|
-      . quot($form->{"quantity"})
-      . qq|\"></td>
+      . quot($form->{"quantity"}) . qq|\"></td>
       </tr>
       <tr>
         <th align=right>| . $locale->text('License key') . qq|</th>
         <td><input name=licensenumber value=\"|
-      . quot($form->{"licensenumber"})
-      . qq|\"></td>
+      . quot($form->{"licensenumber"}) . qq|\"></td>
       </tr>
       <tr>
         <th align=right>| . $locale->text('Own Product') . qq|</th>
@@ -276,8 +262,7 @@ sub print_license_form {
     print(
       qq|&nbsp;
           <input type=submit name=action value=\"|
-        . $locale->text('Save')
-        . qq|\">\n|);
+        . $locale->text('Save') . qq|\">\n|);
   }
   print(
     qq|
@@ -291,7 +276,8 @@ sub add {
   $lxdebug->enter_sub();
   if (!$lizenzen) {
     $form->error(
-                 $locale->text('The licensing module has been deactivated in lx-erp.conf.')
+                 $locale->text(
+                   'The licensing module has been deactivated in lx-erp.conf.')
     );
   }
 
@@ -487,8 +473,7 @@ sub search {
       . $locale->text('Expiring in x month(s)')
       . qq|&nbsp;<input size=4 name=expiring_in value="1"><br>
         <input type=checkbox name=show_expired value=1>|
-      . $locale->text('Expired licenses')
-      . qq|</td>
+      . $locale->text('Expired licenses') . qq|</td>
       </tr>
     </table>
   </tr>
@@ -542,7 +527,8 @@ sub do_search {
         |);
   if (scalar(@{ $form->{"licenses"} }) == 0) {
     print(qq|</table>|
-            . $locale->text("No licenses were found that match the search criteria.")
+            . $locale->text(
+                      "No licenses were found that match the search criteria.")
             . qq|</body></html>|);
     exit(0);
   }
@@ -561,9 +547,7 @@ sub do_search {
       . $locale->text('Description')
       . qq|</a></th>
         <th class=listtop><a class=listheading href=\"|
-      . $columns{"name"} . "\">"
-      . $locale->text('Company Name')
-      . qq|</a></th>
+      . $columns{"name"} . "\">" . $locale->text('Company Name') . qq|</a></th>
         <th class=listtop><a class=listheading href=\"|
       . $columns{"validuntil"} . "\">"
       . $locale->text('Valid until')
diff --git a/bin/mozilla/menunew.pl b/bin/mozilla/menunew.pl
index 64a1f5833..57b2e028d 100644
--- a/bin/mozilla/menunew.pl
+++ b/bin/mozilla/menunew.pl
@@ -152,9 +152,7 @@ function clockon() {
 <table border="0" width="100%" background="image/bg_titel.gif" cellpadding="0" cellspacing="0">
 	<tr>
 		<td align="right" style="vertical-align:middle; color:white; font-family:verdana,arial,sans-serif; font-size: 12px;" nowrap>|
-    . $login
-    . $datum
-    . qq| <script>writeclock()</script>&nbsp;
+    . $login . $datum . qq| <script>writeclock()</script>&nbsp;
 		</td>
 	</tr>
 </table>
diff --git a/bin/mozilla/oe.pl b/bin/mozilla/oe.pl
index d05745b8e..baa041f36 100644
--- a/bin/mozilla/oe.pl
+++ b/bin/mozilla/oe.pl
@@ -79,8 +79,9 @@ sub edit {
 
   # editing without stuff to edit? try adding it first
   if ($form->{rowcount}) {
-    map {$id++ if $form->{"id_$_"}} (1 .. $form->{rowcount});
+    map { $id++ if $form->{"id_$_"} } (1 .. $form->{rowcount});
     if (!$id) {
+
       # reset rowcount
       undef $form->{rowcount};
       &add;
@@ -131,18 +132,24 @@ sub order_links {
   # retrieve order/quotation
   $form->{webdav} = $webdav;
 
-
   # set jscalendar
   $form->{jscalendar} = $jscalendar;
 
   OE->retrieve(\%myconfig, \%$form);
 
   # if multiple rowcounts (== collective order) then check if the
-  # there were more than one customer (in that case OE::retrieve removes 
+  # there were more than one customer (in that case OE::retrieve removes
   # the content from the field)
-  if ($form->{rowcount} && $form->{type} eq 'sales_order' && defined $form->{customer} && $form->{customer} eq '') {
-#    $main::lxdebug->message(0, "Detected Edit order with concurrent customers");
-    $form->error($locale->text('Collective Orders only work for orders from one customer!'));
+  if (   $form->{rowcount}
+      && $form->{type} eq 'sales_order'
+      && defined $form->{customer}
+      && $form->{customer} eq '') {
+
+    #    $main::lxdebug->message(0, "Detected Edit order with concurrent customers");
+    $form->error(
+                 $locale->text(
+                   'Collective Orders only work for orders from one customer!')
+    );
   }
 
   $taxincluded = $form->{taxincluded};
@@ -221,40 +228,42 @@ sub prepare_order {
   $form->{media}    = "screen";
   $form->{formname} = $form->{type};
 
-    map { $form->{$_} =~ s/\"/&quot;/g }
-      qw(ordnumber quonumber shippingpoint shipvia notes intnotes shiptoname shiptostreet shiptozipcode shiptocity shiptocountry shiptocontact);
+  map { $form->{$_} =~ s/\"/&quot;/g }
+    qw(ordnumber quonumber shippingpoint shipvia notes intnotes shiptoname shiptostreet shiptozipcode shiptocity shiptocountry shiptocontact);
 
-    foreach $ref (@{ $form->{form_details} }) {
-      $form->{rowcount} = ++$i;
+  foreach $ref (@{ $form->{form_details} }) {
+    $form->{rowcount} = ++$i;
 
-      map { $form->{"${_}_$i"} = $ref->{$_} } keys %{$ref};
-    }
-    for my $i (1 .. $form->{rowcount}) {
-      if ($form->{id}) {
-        $form->{"discount_$i"} =
-          $form->format_amount(\%myconfig, $form->{"discount_$i"} * 100);
-      } else {
-        $form->{"discount_$i"} =
-          $form->format_amount(\%myconfig, $form->{"discount_$i"});
-      }
-      ($dec) = ($form->{"sellprice_$i"} =~ /\.(\d+)/);    
-      $dec           = length $dec;
-      $decimalplaces = ($dec > 2) ? $dec : 2;
-
-      # copy reqdate from deliverydate for invoice -> order conversion
-      $form->{"reqdate_$i"} = $form->{"deliverydate_$i"} unless $form->{"reqdate_$i"};
-
-      $form->{"sellprice_$i"} =
-        $form->format_amount(\%myconfig, $form->{"sellprice_$i"},
-                            $decimalplaces);
-      
-      (my $dec_qty) = ($form->{"qty_$i"} =~ /\.(\d+)/);
-      $dec_qty      = length $dec_qty;
-      $form->{"qty_$i"} = $form->format_amount(\%myconfig, $form->{"qty_$i"}, $dec_qty);
-
-      map { $form->{"${_}_$i"} =~ s/\"/&quot;/g }
-        qw(partnumber description unit);
+    map { $form->{"${_}_$i"} = $ref->{$_} } keys %{$ref};
+  }
+  for my $i (1 .. $form->{rowcount}) {
+    if ($form->{id}) {
+      $form->{"discount_$i"} =
+        $form->format_amount(\%myconfig, $form->{"discount_$i"} * 100);
+    } else {
+      $form->{"discount_$i"} =
+        $form->format_amount(\%myconfig, $form->{"discount_$i"});
     }
+    ($dec) = ($form->{"sellprice_$i"} =~ /\.(\d+)/);
+    $dec           = length $dec;
+    $decimalplaces = ($dec > 2) ? $dec : 2;
+
+    # copy reqdate from deliverydate for invoice -> order conversion
+    $form->{"reqdate_$i"} = $form->{"deliverydate_$i"}
+      unless $form->{"reqdate_$i"};
+
+    $form->{"sellprice_$i"} =
+      $form->format_amount(\%myconfig, $form->{"sellprice_$i"},
+                           $decimalplaces);
+
+    (my $dec_qty) = ($form->{"qty_$i"} =~ /\.(\d+)/);
+    $dec_qty = length $dec_qty;
+    $form->{"qty_$i"} =
+      $form->format_amount(\%myconfig, $form->{"qty_$i"}, $dec_qty);
+
+    map { $form->{"${_}_$i"} =~ s/\"/&quot;/g }
+      qw(partnumber description unit);
+  }
 
   $lxdebug->leave_sub();
 }
@@ -883,7 +892,6 @@ Bearbeiten des $form->{heading}<br>
       . $locale->text('Invoice') . qq|">
 |;
   }
-  
 
   if ($form->{menubar}) {
     require "$form->{path}/menu.pl";
@@ -983,6 +991,7 @@ sub update {
         } else {
 
           $form->{"sellprice_$i"} *= (1 - $form->{tradediscount});
+
           # if there is an exchange rate adjust sellprice
           $form->{"sellprice_$i"} /= $exchangerate;
         }
@@ -1036,7 +1045,6 @@ sub update {
     }
   }
 
-
   $lxdebug->leave_sub();
 }
 
@@ -1515,7 +1523,8 @@ sub orders {
     $subtotalnetamount += $oe->{netamount};
     $subtotalamount    += $oe->{amount};
 
-    $column_data{ids}    = qq|<td><input name="id_$j" class=checkbox type=checkbox><input type="hidden" name="trans_id_$j" value="$oe->{id}"></td>|;
+    $column_data{ids} =
+      qq|<td><input name="id_$j" class=checkbox type=checkbox><input type="hidden" name="trans_id_$j" value="$oe->{id}"></td>|;
     $column_data{id}        = "<td>$oe->{id}</td>";
     $column_data{transdate} = "<td>$oe->{transdate}&nbsp;</td>";
     $column_data{reqdate}   = "<td>$oe->{reqdate}&nbsp;</td>";
@@ -1581,13 +1590,13 @@ sub orders {
   </tr>
 </table>|;
 
-# multiple invoice edit button only if gotten there via sales_order form.
+  # multiple invoice edit button only if gotten there via sales_order form.
 
-if ($form->{type} =~ /sales_order/) {
-print qq|
+  if ($form->{type} =~ /sales_order/) {
+    print qq|
   <input type="hidden" name="path" value="$form->{path}">
   <input class"submit" type="submit" name="action" value="|
-. $locale->text('Continue') .qq|">
+      . $locale->text('Continue') . qq|">
   <input type="hidden" name="nextsub" value="edit">
   <input type="hidden" name="type" value="$form->{type}">
   <input type="hidden" name="warehouse" value="$warehouse">
@@ -1596,9 +1605,9 @@ print qq|
   <input type="hidden" name="password" value="$form->{password}">
   <input type="hidden" name="callback" value="$callback">
   <input type="hidden" name="rowcount" value="$form->{rowcount}">|;
-}
+  }
 
-print qq|
+  print qq|
 </form>
 
 <br>
@@ -1804,10 +1813,15 @@ sub invoice {
   $lxdebug->enter_sub();
 
   if ($form->{type} =~ /_order$/) {
+
     # these checks only apply if the items don't bring their own ordnumbers/transdates.
     # The if clause ensures that by searching for empty ordnumber_#/transdate_# fields.
-    $form->isblank("ordnumber", $locale->text('Order Number missing!')) if ( +{ map { $form->{"ordnumber_$_"}, 1 } ( 1 .. $form->{rowcount}-1 ) }->{''} );
-    $form->isblank("transdate", $locale->text('Order Date missing!'))   if ( +{ map { $form->{"transdate_$_"}, 1 } ( 1 .. $form->{rowcount}-1 ) }->{''} );
+    $form->isblank("ordnumber", $locale->text('Order Number missing!'))
+      if (+{ map { $form->{"ordnumber_$_"}, 1 } (1 .. $form->{rowcount} - 1) }
+          ->{''});
+    $form->isblank("transdate", $locale->text('Order Date missing!'))
+      if (+{ map { $form->{"transdate_$_"}, 1 } (1 .. $form->{rowcount} - 1) }
+          ->{''});
 
     # also copy deliverydate from the order
     $form->{deliverydate} = $form->{reqdate} if $form->{reqdate};
@@ -1846,7 +1860,7 @@ sub invoice {
   # close orders/quotations
   $form->{closed} = 1;
 
-  # save order if one ordnumber has been given 
+  # save order if one ordnumber has been given
   # if not it's most likely a collective order, which can't be saved back
   # so they just have to be closed
   if (($form->{ordnumber} ne '') || ($form->{quonumber} ne '')) {
@@ -1927,15 +1941,17 @@ sub invoice {
     $decimalplaces = ($dec > 2) ? $dec : 2;
 
     # copy delivery date from reqdate for order -> invoice conversion
-    $form->{"deliverydate_$i"} = $form->{"reqdate_$i"} unless $form->{"deliverydate_$i"};
+    $form->{"deliverydate_$i"} = $form->{"reqdate_$i"}
+      unless $form->{"deliverydate_$i"};
 
     $form->{"sellprice_$i"} =
       $form->format_amount(\%myconfig, $form->{"sellprice_$i"},
                            $decimalplaces);
-    
+
     (my $dec_qty) = ($form->{"qty_$i"} =~ /\.(\d+)/);
-      $dec_qty      = length $dec_qty;
-    $form->{"qty_$i"} = $form->format_amount(\%myconfig, $form->{"qty_$i"}, $dec_qty);
+    $dec_qty = length $dec_qty;
+    $form->{"qty_$i"} =
+      $form->format_amount(\%myconfig, $form->{"qty_$i"}, $dec_qty);
 
     map { $form->{"${_}_$i"} =~ s/\"/&quot;/g }
       qw(partnumber description unit);
